Loading...
Searching...
No Matches
RDLog.h File Reference
`#include <RDGeneral/export.h>`
`#include "BoostStartInclude.h"`
`#include <boost/iostreams/tee.hpp>`
`#include <boost/iostreams/stream.hpp>`
`#include "BoostEndInclude.h"`
`#include <iostream>`
`#include <fstream>`
`#include <vector>`
`#include <cstdint>`

Go to the source code of this file.

## Classes

class | boost::logging::rdLogger
class | RDLog::LogStateSetter

## Namespaces

namespace | boost
namespace | boost::logging
namespace | RDLog

## Macros

#define | BOOST_LOG(__arg__)

## Typedefs

typedef boost::iostreams::tee_device< std::ostream, std::ostream > | boost::logging::RDTee
typedef boost::iostreams::stream< RDTee > | boost::logging::RDTeeStream
using | RDLogger = std::shared_ptr<boost::logging::rdLogger>
using | RDLog::RDLoggerList = std::vector<RDLogger>

## Functions

RDKIT_RDGENERAL_EXPORT void | boost::logging::enable_logs (const char *arg)
RDKIT_RDGENERAL_EXPORT void | boost::logging::enable_logs (const std::string &arg)
RDKIT_RDGENERAL_EXPORT void | boost::logging::disable_logs (const char *arg)
RDKIT_RDGENERAL_EXPORT void | boost::logging::disable_logs (const std::string &arg)
RDKIT_RDGENERAL_EXPORT std::string | boost::logging::log_status ()
RDKIT_RDGENERAL_EXPORT std::ostream & | RDLog::toStream (std::ostream &)
RDKIT_RDGENERAL_EXPORT void | RDLog::InitLogs ()
void | RDLog::deprecationWarning (const std::string &message)

## Variables

RDKIT_RDGENERAL_EXPORT RDLogger | rdAppLog
RDKIT_RDGENERAL_EXPORT RDLogger | rdDebugLog
RDKIT_RDGENERAL_EXPORT RDLogger | rdInfoLog
RDKIT_RDGENERAL_EXPORT RDLogger | rdErrorLog
RDKIT_RDGENERAL_EXPORT RDLogger | rdWarningLog
RDKIT_RDGENERAL_EXPORT RDLogger | rdStatusLog

## Macro Definition Documentation

## BOOST_LOG

#define BOOST_LOG | ( |  | __arg__ | ) |

Value:
if ((__arg__) && (__arg__->dp_dest) && (__arg__->df_enabled)) \
RDLog::toStream((__arg__->teestream) ? *(__arg__->teestream) \
: *(__arg__->dp_dest))

Definition at line 110 of file RDLog.h.

Referenced by RDKit::FileParserUtils::applyMolListPropToAtoms(), RDKit::RxnOps::ChemDrawRxnAdjustParams(), RDKit::FilterMatcherBase::Clone(), RDLog::deprecationWarning(), RDKit::MolEnumerator::utils::getMolLinkNodes(), and RDKit::SGroupParsing::SGroupWarnOrThrow().

## Typedef Documentation

## RDLogger

using RDLogger = std::shared_ptr<boost::logging::rdLogger>

Definition at line 115 of file RDLog.h.

## Variable Documentation

## rdAppLog

RDKIT_RDGENERAL_EXPORT RDLogger rdAppLog

extern

## rdDebugLog

RDKIT_RDGENERAL_EXPORT RDLogger rdDebugLog

extern

## rdErrorLog

RDKIT_RDGENERAL_EXPORT RDLogger rdErrorLog

extern

## rdInfoLog

RDKIT_RDGENERAL_EXPORT RDLogger rdInfoLog

extern

## rdStatusLog

RDKIT_RDGENERAL_EXPORT RDLogger rdStatusLog

extern

## rdWarningLog

RDKIT_RDGENERAL_EXPORT RDLogger rdWarningLog

extern

Referenced by RDKit::FileParserUtils::applyMolListPropToAtoms(), RDKit::RxnOps::ChemDrawRxnAdjustParams(), RDKit::FilterMatcherBase::Clone(), RDLog::deprecationWarning(), RDKit::MolEnumerator::utils::getMolLinkNodes(), and RDKit::SGroupParsing::SGroupWarnOrThrow().